package com.css.simulation.resource.scene.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.Map;


@Mapper
public interface SystemAccessMapper {


    @Select("<script>" +
            "        select count(id) from system_access\n" +
            "        where is_deleted = '0'\n" +
            "        <if test=\"startDate != null\">\n" +
            "            and access_time &gt;= #{startDate}\n" +
            "        </if>\n" +
            "        <if test=\"endDate != null\">\n" +
            "            and access_time &lt;= #{endDate}\n" +
            "        </if>" +
            "</script>")
    Integer selectPastAccess(Map<String, Object> params);
}
